%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  distanceto
%global packver   0.0.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.0.3
Release:          1%{?dist}%{?buildtag}
Summary:          Calculate Distance to Features

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-sf 
BuildRequires:    R-CRAN-nabor 
BuildRequires:    R-CRAN-geodist 
Requires:         R-CRAN-sf 
Requires:         R-CRAN-nabor 
Requires:         R-CRAN-geodist 

%description
Calculates distances from point locations to features. The usual approach
for eg. resource selection function analyses is to generate a complete
distance to features surface then sample it with your observed and random
points. Since these raster based approaches can be pretty costly with
large areas, and often lead to memory issues in R, the distanceto package
opts to compute these distances using efficient, vector based approaches.
As a helper, there's a decidedly low-res raster based approach for
visually inspecting your region's distance surface. But the workhorse is
distance_to.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
